de.vc.jfo.attributes

## Class Background

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet
  - - de.vc.jfo.attributes.Background

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Background
      extends AttributeSubSet

  This class defines common background-properties.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Background.Attachment`
    `static class` | `Background.Repeat`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Background.Attachment` | `ATTACHMENT_FIXED`
    `static Background.Attachment` | `ATTACHMENT_SCROLL`
    `static java.lang.String[]` | `KEY_SET`
    `static Background.Repeat` | `REPEAT_NONE`
    `static Background.Repeat` | `REPEAT_ONLY_X`
    `static Background.Repeat` | `REPEAT_ONLY_y`
    `static Background.Repeat` | `REPEAT_X_AND_Y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Background()`
    `Background(java.lang.String imageUrl, Measure posHor, Measure posVer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Background.Attachment` | `getAttachment()` Gets the attachment.
    `java.lang.Object` | `getAttribute(int keyIdx)`
    `java.awt.Color` | `getColor()` Gets the color.
    `Measure` | `getHorizontalPos()` Gets the horizontal position.
    `java.lang.String` | `getImage()` Gets the url of the image.
    `Background.Repeat` | `getRepeatMode()` Gets the repeat mode.
    `Measure` | `getVerticalPos()` Gets the vertical position.
    `void` | `setAttachment(Background.Attachment a)` Sets the attachment, can be fixed or scroll.
    `void` | `setColor(java.awt.Color value)` Sets the color.
    `void` | `setHorizontalPos(Measure value)` Sets the horizontal position.
    `void` | `setImage(java.lang.String value)` Sets an image-url.
    `void` | `setRepeatMode(Background.Repeat value)` Sets the repeat mode.
    `void` | `setVerticalPos(Measure value)` Sets the vertical position.

    - ### Methods inherited from class de.vc.jfo.attributes.AttributeSubSet

      `addDefinedAttributes, applyAttributes, clone, isMutable, makeImmutable, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTACHMENT_SCROLL

          public static final Background.Attachment ATTACHMENT_SCROLL

    - #### ATTACHMENT_FIXED

          public static final Background.Attachment ATTACHMENT_FIXED

    - #### REPEAT_X_AND_Y

          public static final Background.Repeat REPEAT_X_AND_Y

    - #### REPEAT_ONLY_X

          public static final Background.Repeat REPEAT_ONLY_X

    - #### REPEAT_ONLY_y

          public static final Background.Repeat REPEAT_ONLY_y

    - #### REPEAT_NONE

          public static final Background.Repeat REPEAT_NONE

    - #### KEY_SET

          public static final java.lang.String[] KEY_SET

  - ### Constructor Detail

    - #### Background

          public Background()

    - #### Background

          public Background(java.lang.String imageUrl,
                    Measure posHor,
                    Measure posVer)

  - ### Method Detail

    - #### setAttachment

          public void setAttachment(Background.Attachment a)

      Sets the attachment, can be fixed or scroll.
      Parameters:
        `a` - Attachment (See Background.ATTACHMENT_*).

    - #### getAttachment

          public Background.Attachment getAttachment()

      Gets the attachment.
      Returns:
        Attachment.

    - #### setColor

          public void setColor(java.awt.Color value)

      Sets the color.
      Parameters:
        `value` - Color.

    - #### getColor

          public java.awt.Color getColor()

      Gets the color.
      Returns:
        Color.

    - #### setImage

          public void setImage(java.lang.String value)

      Sets an image-url.
      Parameters:
        `value` - URL of image.

    - #### getImage

          public java.lang.String getImage()

      Gets the url of the image.
      Returns:
        URL of image.

    - #### setRepeatMode

          public void setRepeatMode(Background.Repeat value)

      Sets the repeat mode.
      Parameters:
        `value` - Repeat mode (see Background.REPEAT_*)

    - #### getRepeatMode

          public Background.Repeat getRepeatMode()

      Gets the repeat mode.
      Returns:
        repeat mode.

    - #### setHorizontalPos

          public void setHorizontalPos(Measure value)

      Sets the horizontal position.
      Parameters:
        `value` - Horizontal position.

    - #### getHorizontalPos

          public Measure getHorizontalPos()

      Gets the horizontal position.
      Returns:
        Horizontal position.

    - #### setVerticalPos

          public void setVerticalPos(Measure value)

      Sets the vertical position.
      Parameters:
        `value` - Vertical Position.

    - #### getVerticalPos

          public Measure getVerticalPos()

      Gets the vertical position.
      Returns:
        Vertical position.

    - #### getAttribute

          public java.lang.Object getAttribute(int keyIdx)

      Specified by:
        `getAttribute` in class `AttributeSubSet`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.